com.ihr.xbrl.om.table

## Enum Axis

- java.lang.Object
- - java.lang.Enum<Axis>
  - - com.ihr.xbrl.om.table.Axis

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Axis>

      public enum Axis
      extends java.lang.Enum<Axis>

  This enumeration contains the 3 axis a table linkbase may contain information for.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `x` This is the table horizontal axis.
    `y` This is the table vertical axis.
    `z` This is the table header axis.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Axis` | `getValueFromString(java.lang.String axis)` Converts from the string representation to the proper enumeration value.
    `static Axis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### x

          public static final Axis x

      This is the table horizontal axis.

    - #### y

          public static final Axis y

      This is the table vertical axis.

    - #### z

          public static final Axis z

      This is the table header axis.

  - ### Method Detail

    - #### values

          public static Axis[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Axis c : Axis.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Axis valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueFromString

          public static Axis getValueFromString(java.lang.String axis)

      Converts from the string representation to the proper enumeration value. Ignoring case
      Parameters:
        `axis` - string value such as "X" or "x", "Y" or "y", "Z" or "z" More than one character length string will not be recognized
      Returns:
        the Axis enumeration value